boinc-client-7.14.2-1.2.x86_64.rpm


Advertisement

Description

boinc-client - The BOINC client

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename boinc-client-7.14.2-1.2.x86_64.rpm
Package name boinc-client
Package version 7.14.2
Package release 1.2
Package architecture x86_64
Package type rpm
Category Productivity/Clustering/Computing
Homepage http://boinc.berkeley.edu/
License GPL-3.0-or-later OR LGPL-3.0-or-later
Maintainer -
Download size 348.35 KB
Installed size 970.06 KB
The Berkeley Open Infrastructure for Network Computing (BOINC) is an open-
source software platform which supports distributed computing, primarily in
the form of "volunteer" computing and "desktop Grid" computing.  It is well
suited for problems which are often described as "trivially parallel".  BOINC
is the underlying software used by projects such as SETI@home, Einstein@Home,
ClimatePrediciton.net, the World Community Grid, and many other distributed
computing projects.
This package installs the BOINC client software, which will allow your
computer to participate in one or more BOINC projects, using your spare
computer time to search for cures for diseases, model protein folding, study
global warming, discover sources of gravitational waves, and many other types
of scientific and mathematical research.

Alternatives

Package Version Architecture Repository
boinc-client-7.14.2-1.2.i586.rpm 7.14.2 i586 openSUSE Oss
boinc-client - - -

Requires

Name Value
ca-certificates-mozilla -
libboinc.so.7()(64bit) -
libboinc_crypt.so.7()(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libcurl.so.4()(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libz.so.1()(64bit) -
pwdutils -

Provides

Name Value
boinc-client = 7.14.2-1.2
boinc-client(x86-64) = 7.14.2-1.2
config(boinc-client) = 7.14.2-1.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package boinc-client-7.14.2-1.2.x86_64.rpm
Source Package boinc-client-7.14.2-1.2.src.rpm

Install Howto

Install boinc-client rpm package:

# zypper install boinc-client

Files

Path
/etc/logrotate.d/boinc-client
/usr/bin/boinc
/usr/bin/boinc-client
/usr/bin/boinccmd
/usr/bin/switcher
/usr/lib/systemd/system/boinc-client.service
/usr/sbin/rcboinc-client
/usr/share/bash-completion/completions/boinc
/usr/share/doc/packages/boinc-client/README.SUSE
/usr/share/fillup-templates/sysconfig.boinc-client
/usr/share/licenses/boinc-client/COPYING
/usr/share/licenses/boinc-client/COPYING.LESSER
/usr/share/licenses/boinc-client/COPYRIGHT
/usr/share/man/man1/boinc.1.gz
/usr/share/man/man1/boinccmd.1.gz
/var/lib/boinc/

Changelog

2018-12-15 - aaronpuchert@alice-dsl.net
- Update to version 7.14.2.
* Fix GPU detection when run with --detach_console or using $PATH
* Update NVIDIA GPU detection for recent models
* Change simple prefs dialog behavior to match advanced
* If using a dynamic account manager, show AM user name in
Manager rather than randomly-generated project account names
* Move new-version URLs from cc_config.xml to nvc_config.xml
(so that WCG can customize)
2018-08-06 - jengelh@inai.de
- Remove unnecessary ldconfig from devel subpackage
2018-07-24 - aaronpuchert@alice-dsl.net
- Update to version 7.12.1.
- Remove doc package, since the files have been removed from the
source. Actually it wasn't even the documentation, but the
server code.
- Disable idle detection via the XSS API and remove dependency to
libXScrnSaver-devel. This feature requires access to a running
X server, which the BOINC client does not have in OpenSUSE.
- Rename the devel package and provide the correct dependency.
The devel package provides the headers for libboinc, and has
nothing to do with the BOINC client.
- Add conflict to original devel package.
- Remove unnecessary dependency to libxslt.
- Update systemd service file with changes from upstream: start
after network-online.target, and use "ProtectHome=true".
- Move bash completion file to /usr/share tree to fix rpmlint.
- Declare license files as %license.
- Don't install `notes` and `todo` - these are internal notes of
the developers and not helpful to users.
- Drop 0001-MGR-support-wxWidgets-without-webview.patch, which has
landed upstream (commit 27bb3c9e).
- libboinc-shared.patch: Build shared libraries for client and
static libraries for science apps. Science apps are distributed
as binaries over the BOINC network, so dynamic linking doesn't
make sense. But we can use dynamic linking for the client.
- build-client-scripts.patch: Add some targets to fix build.
- Fix default path for boincscr.
2018-07-11 - chris@computersalat.de
- Update to 7.8.6
* can't find any useful ChangeLog :(
2017-11-23 - rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)
2017-10-26 - chris@computersalat.de
- Update to version 7.8.3. (aaronpuchert)
- Removed the deprecated "Encoding" line from the .desktop file.
- Updated the cleanup code:
* Permissions seem to be correct now.
* Line endings seem to be correct.
* Applied the UTF-8 conversion to the 2011 notes as well.
- Removed the entire coprocs/NVIDIA directory, since all files in
there have a doubtful license.
- Removed components that are not required for a Linux build.
2017-09-10 - chris@computersalat.de
- update to 7.8.2
* no changelog available
- add {minor_version}
- rm wrong sim_web link
- fix files for SLES 11
- remove obsolete patch
* 0001-Fix-1530-null-pointer-dereference.patch
2017-09-08 - jengelh@inai.de
- Add 0001-MGR-support-wxWidgets-without-webview.patch
2017-09-02 - jengelh@inai.de
- Remove unnecessary %if..%endif markers that do not affect the
rpmbuild output files.
- Move patch metadata into patch so it stays with the patch.
Add more authorship info.
- Add xlocale.patch to fix build error with glibc-2.26.
- Refresh boinc-guirpcauth.patch, boinc-docbook2x.patch,
0001-Fix-1530-null-pointer-dereference.patch to quilt's default
p1 level.
2017-03-27 - chris@computersalat.de
- fix deps
* add missing ca-certificates-mozilla
needed in minimal install, e.g. JeOS images,
without - boinc-client will fail to load config from
e.g. www.worldcommunitygrid.org/get_project_config.php

See Also

Package Description
boinc-client-lang-7.14.2-1.2.noarch.rpm Translations for package boinc-client
boinc-manager-7.14.2-1.2.i586.rpm GUI to control and monitor boinc-client
boinc-manager-7.14.2-1.2.x86_64.rpm GUI to control and monitor boinc-client
boinc-manager-lang-7.14.2-1.2.noarch.rpm Translations for package boinc-client
bolt-0.7-2.1.i586.rpm Thunderbolt 3 device manager
bolt-0.7-2.1.x86_64.rpm Thunderbolt 3 device manager
bolt-tools-0.7-2.1.i586.rpm Bolt Tools
bolt-tools-0.7-2.1.x86_64.rpm Bolt Tools
bomber-19.04.0-1.1.i586.rpm Game involving the invasion of cities with a plane
bomber-19.04.0-1.1.x86_64.rpm Game involving the invasion of cities with a plane
bomber-lang-19.04.0-1.1.noarch.rpm Translations for package bomber
bomns-0.99.3-1.12.i586.rpm Best old-school Deathmatch game ever (only for two players)
bomns-0.99.3-1.12.x86_64.rpm Best old-school Deathmatch game ever (only for two players)
bonnie++-1.97.3-1.8.i586.rpm A Bonnie-Like File System Benchmark
bonnie++-1.97.3-1.8.x86_64.rpm A Bonnie-Like File System Benchmark
Advertisement
Advertisement